# Class Controller

- Defined in src/editing/createfeatureComponent.js:109

#####
Index

### Properties

active
compile_
features
filter_
geomType
gettextCatalog_
injector_
interaction_
map
ngeoEventHelper_
ngeoSnappingTolerance_
scope_
timeout_

### Methods

$onDestroy
$onInit
handleDrawEnd_

## Properties

### active

active: boolean

- Defined in src/editing/createfeatureComponent.js:122
- Defined in src/editing/createfeatureComponent.js:203

### compile_

compile_: ICompileService

- Defined in src/editing/createfeatureComponent.js:147

### features

features: VectorSource<Geometry> | Collection<Feature<Geometry>>

- Defined in src/editing/createfeatureComponent.js:127

### filter_

filter_: IFilterService

- Defined in src/editing/createfeatureComponent.js:152

### geomType

geomType: string

- Defined in src/editing/createfeatureComponent.js:132

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/editing/createfeatureComponent.js:142

### injector_

injector_: IInjectorService

- Defined in src/editing/createfeatureComponent.js:172

### interaction_

interaction_: Interaction

The draw or measure interaction responsible of drawing the vector feature. The actual type depends on the geometry type.

- Defined in src/editing/createfeatureComponent.js:185
- Defined in src/editing/createfeatureComponent.js:254

### map

map: Map

- Defined in src/editing/createfeatureComponent.js:137

### ngeoEventHelper_

ngeoEventHelper_: EventHelper

- Defined in src/editing/createfeatureComponent.js:167

### ngeoSnappingTolerance_

ngeoSnappingTolerance_: number

- Defined in src/editing/createfeatureComponent.js:177

### scope_

scope_: IScope

- Defined in src/editing/createfeatureComponent.js:157

### timeout_

timeout_: ITimeoutService

- Defined in src/editing/createfeatureComponent.js:162

## Methods

### $onDestroy

- $onDestroy(): void

- Cleanup event listeners and remove the interaction from the map.

  #### Returns void

  - Defined in src/editing/createfeatureComponent.js:318

### $onInit

- $onInit(): void

- Initialize the directive.

  #### Returns void

  - Defined in src/editing/createfeatureComponent.js:202

### handleDrawEnd_

- handleDrawEnd_(evt): void

- Called when a feature is finished being drawn. Add the feature to the collection.

  #### Parameters

  - ##### evt: DrawEvent | default<DrawEvent>

    Event.

  #### Returns void

  - Defined in src/editing/createfeatureComponent.js:291

Generated using TypeDoc